<?php

class Manutencao extends CI_Controller
{
    private $modelPagina = 'manutencao_model';
    private $tabelaManutencao = 'tbl_009_manutencao';
    private $tabelaNotas = 'tbl_002_notas';
    private $tabelaAgenda = 'tbl_014_agenda';
    private $tabelaFotosManutencao = 'tbl_rel_004_fotos_por_manutencao';

    const TODOS_CAMPOS_TABELA = '*';
    const TABELA_SERVICOS_PREVENTIVA = 'tbl_rel_002_servico_por_preventiva';
    const TABELA_PECAS_PREVENTIVA = 'tbl_rel_003_pecas_por_preventiva';
    const TABELA_MODELOS_MANUTENCAO = 'tbl_015_modelo_manutencao';
    const TABELA_NOTAS = 'tbl_002_notas';
    const TABELA_PAGAMENTO = 'tbl_005_pagamento';
    const TABELA_CHEQUES = 'tbl_003_cheques';
    const TABELA_BOLETOS = 'tbl_004_boletos';

    function __construct()
    {
        parent::__construct();
        $this->load->helper(get_helpers_paginas());
        ValidacaoUtils::verificarLoginUtils($this->session);
        ValidacaoUtils::nivelTemAcessoPermitido($this->session->userdata('nivel'), $this->router->class);
        ValidacaoUtils::carregarModelsPagina(array($this->modelPagina, 'servicos_model', 'agenda_model', 'servicos_model'), $this);
    }

    function index()
    {
        $this->gerenciar();
    }

    public function gerenciar()
    {
        $this->listarTodosPedidosPorFiltro();
    }

    public function gerenciarPaginacao()
    {
        $paginas = 6;
        $paginacao = false;

        if ($this->input->post('isWhere')) {
            $porPagina = 25;
            $paginacao = false;
        } else {

            $config = DadosPaginas::layoutPaginacao('manutencao/gerenciar/', $this->manutencao_model->count('tbl_002_notas'), $this, $paginas);
            $this->pagination->initialize($config);
            $porPagina = $config['per_page'];
            $paginacao = true;
        }

        $this->data['paginacao'] = $paginacao;
//        $this->db->where('situacaoMorador', 1);
        $this->data['results'] = $this->manutencao_model->get('tbl_002_notas', '*', '', $porPagina, $this->uri->segment(3));
        $this->data['view'] = 'sistema/manutencao/listarMorador';
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function gerenciarModelos()
    {
        $this->data['view'] = 'sistema/manutencao/modelos/listarManutencaoModelos';
        $this->data['resultscomboFuncionarios'] = $this->preventiva_model->get('tbl_010_funcionario', self::TODOS_CAMPOS_TABELA);
        $this->data['resultscomboTiposManutenção'] = $this->preventiva_model->get(self::TABELA_MODELOS_MANUTENCAO, 'ID_MODELO, TP_MANUTENCAO, DS_NOME_MANUTENCAO');
        $this->data['manutencoes'] = $this->preventiva_model->getManutencoesComItens();
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function listarNotasPorDia()
    {
        $this->data['notas'] = $this->manutencao_model->getNotasDoDiaAtual();
        $this->data['view'] = 'sistema/manutencao/listarNotasPorDia';
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function listarVendas()
    {
        $this->data['view'] = 'sistema/manutencao/listarPedidosVendas';
        $this->data['notasEmAberto'] = $this->manutencao_model->getNotasEmAberto();
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function listarTodosPedidosPorFiltro()
    {

        $hoje = 'Y-m-d';


        $situacaoNota = preg_replace('/[`^~\'"]/', '', $this->input->post('situacaoNota'));
        $nomeVendedor = preg_replace('/[`^~\'"]/', '', $this->input->post('nomeVendedor'));
        $nomeCliente = preg_replace('/[`^~\'"]/', '', $this->input->post('nomeCliente'));
        $P_Dia = is_null($this->input->post('dataInicial')) ? $hoje : $this->input->post('dataInicial');
        $U_Dia = is_null($this->input->post('dataFinal')) ? $hoje : $this->input->post('dataFinal');
        $ultimo_ano = 'DT_NOTA BETWEEN "' . date($P_Dia) . '" AND "' . date($U_Dia) . '"';

        if (!empty($situacaoNota)) {
            $situacaoNota == 'Q' ? $this->db->where('DT_QUITADO IS NOT NULL') : $this->db->where('DT_QUITADO IS NULL');
        }
        $this->db->where($ultimo_ano);
        empty($nomeCliente) ? '' : $this->db->like('CLIENTE_ID', $nomeCliente);
        empty($nomeVendedor) ? '' : $this->db->where('NM_VENDEDOR', $nomeVendedor);

        $this->data['view'] = 'sistema/manutencao/listarTodosPedidosComFiltro';
        $this->data['notas'] = $this->manutencao_model->getTodosPedidosComFiltro();
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function listarTodosChequesPorFiltro()
    {

        $hoje = date('Y-m-d');
        $proximomes = date("Y-m-d", strtotime(date("Y-m-d") . "+4 month"));


        $situacaoNota = preg_replace('/[`^~\'"]/', '', $this->input->post('situacaoCheque'));
        $nomeCliente = preg_replace('/[`^~\'"]/', '', $this->input->post('nomeEmitente'));
        $P_Dia = is_null($this->input->post('dataInicial')) ? $hoje : $this->input->post('dataInicial');
        $U_Dia = is_null($this->input->post('dataFinal')) ? $proximomes : $this->input->post('dataFinal');
        $ultimo_ano = 'DT_VENCIMENTO BETWEEN "' . $P_Dia . '" AND "' . $U_Dia . '"';

        if (!empty($situacaoNota)) {
            $situacaoNota == 'Q' ? $this->db->where('DT_QUITACAO IS NOT NULL') : $this->db->where('DT_QUITACAO IS NULL');
        }
        $this->db->where($ultimo_ano);
        empty($nomeCliente) ? '' : $this->db->like('DS_EMITENTE', $nomeCliente);

        $this->data['view'] = 'sistema/manutencao/listarTodosChequesComFiltro';
        $this->data['notas'] = $this->manutencao_model->getTodosRegistros(self::TABELA_CHEQUES);
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function listarTodosBoletosPorFiltro()
    {

        $hoje = date('Y-m-d');
        $proximomes = date("Y-m-d", strtotime(date("Y-m-d") . "+4 month"));


        $nomeCliente = preg_replace('/[`^~\'"]/', '', $this->input->post('boletoemitente'));
        $situacaoNota = preg_replace('/[`^~\'"]/', '', $this->input->post('situacaoBoleto'));
        $P_Dia = is_null($this->input->post('dataInicial')) ? $hoje : $this->input->post('dataInicial');
        $U_Dia = is_null($this->input->post('dataFinal')) ? $proximomes : $this->input->post('dataFinal');
        $ultimo_ano = 'DT_VENCIMENTO BETWEEN "' . $P_Dia . '" AND "' . $U_Dia . '"';

        if (!empty($situacaoNota)) {
            $situacaoNota == 'Q' ? $this->db->where('DT_QUITACAO IS NOT NULL') : $this->db->where('DT_QUITACAO IS NULL');
        }
        $this->db->where($ultimo_ano);
        empty($nomeCliente) ? '' : $this->db->like('NM_CLIENTE', $nomeCliente);

        $this->data['view'] = 'sistema/manutencao/listarTodosBoletosComFiltro';
        $this->data['notas'] = $this->manutencao_model->getTodosRegistros(self::TABELA_BOLETOS);
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function pagamentosNotasSelecionados()
    {
        $pedidos = $this->input->post('pedidos_id');
        $dataPagamento = array('DT_PAGAMENTO' => date('Y-m-d'));
//        $parcelado = $this->input->post('parcelado');

        if (empty($pedidos)) {
            $this->session->set_flashdata('error', 'Nenhum Pedido Selecionado!');

        } elseif (!is_null($this->input->post('parcelado'))) {
            $idPagamento = $this->manutencao_model->add(self::TABELA_PAGAMENTO, $dataPagamento, true);
            foreach ($pedidos as $pedido) {
                $this->adicionarNotaNoPagamento($pedido, $idPagamento);
            }
            $this->session->set_flashdata('success', 'Pagamento Criado com sucesso!');
            $this->visualizarPagamento($idPagamento);
        } else {
            foreach ($pedidos as $pedido) {
                $this->QuitarNotaTotal($pedido);
            }
        }
        $this->listarTodosPedidosPorFiltro();
    }


    public function visualizarPagamento($idPagamento)
    {
        $idPagamentoEditar = $this->uri->segment(3) ? $this->uri->segment(3) : $idPagamento;
        $this->data['pagamento'] = $this->manutencao_model->getPagamentoPorID($idPagamentoEditar);
        $this->data['pagamentoComNotas'] = $this->manutencao_model->getPagamentoComNotasPorID($idPagamentoEditar);
        $this->data['chequesPorPagamento'] = $this->manutencao_model->getChequesPorPagamentoID($idPagamentoEditar);
        $this->data['boletosPorPagamento'] = $this->manutencao_model->getBoletosPorPagamentoID($idPagamentoEditar);
        $this->data['view'] = 'sistema/notas/editarPagamento';
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function buscarpedidospornumero()
    {
        echo json_encode($this->manutencao_model->getPedidoPorNumero($this->input->post('numeroPedidoBuscar')));
    }

    public function listarPagamentos()
    {
        $this->data['pagamentos'] = $this->manutencao_model->getPagamentos();
        $this->data['view'] = 'sistema/notas/listarPagamentos';
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);
    }

    public function adicionarChequeAPagamento()
    {
        $dataCheque = array(
            'DS_EMITENTE' => $this->input->post('chequeemitente'),
            'DS_BANCO' => $this->input->post('chequebanco'),
            'DS_AGENCIA' => $this->input->post('chequeagencia'),
            'DS_CONTA' => $this->input->post('chequeconta'),
            'VL_CHEQUE' => $this->input->post('chequevalor'),
            'DT_VENCIMENTO' => $this->input->post('chequedatavencimento'),
            'PAGAMENTO_ID' => $this->input->post('pagamento_id'),
        );

        if ($id = $this->manutencao_model->add(self::TABELA_CHEQUES, $dataCheque, true)) {
            $this->session->set_flashdata('success', 'Cheque Adicionado com sucesso.');

        } else {
            $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro.</p></div>';
        }

        $this->visualizarPagamento($this->input->post('pagamento_id'));


    }

    public function adicionarBoletoAPagamento()
    {
        $dataBoleto = array(
            'NM_CLIENTE' => $this->input->post('boletoemitente'),
            'DT_EMISSAO' => date('Y-m-d'),
            'NU_NOTAFISCAL' => $this->input->post('numeronotafiscal'),
            'VL_BOLETO' => $this->input->post('chequeboleto'),
            'DT_VENCIMENTO' => $this->input->post('boletodatavencimento'),
            'PAGAMENTO_ID' => $this->input->post('pagamento_id'),
        );

        if ($id = $this->manutencao_model->add(self::TABELA_BOLETOS, $dataBoleto, true)) {
            $this->session->set_flashdata('success', 'Boleto Adicionado com sucesso.');

        } else {
            $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro.</p></div>';
        }

        $this->visualizarPagamento($this->input->post('pagamento_id'));


    }


    private function adicionarNotaNoPagamento($idNota, $idPagamento)
    {
        $dataPagamentoNota = array(
            'PAGAMENTO_ID' => $idPagamento,
            'DT_QUITADO' => date('Y-m-d')
        );

        $this->manutencao_model->edit(self::TABELA_NOTAS, $dataPagamentoNota, 'ID_NOTA', $idNota);

    }

    function editarNotasDetalhado()
    {

        $this->load->library(DadosPaginas::FORM_VALIDATION);
        $this->data['custom_error'] = '';
        $dataReserva = null;

        if ($this->form_validation->run('servicos') == false) {
            $this->data['custom_error'] = (validation_errors() ? '<div class="form_error">' . validation_errors() . '</div>' : false);
        } else {
            $data = array(
                'DS_DESCRICAO_SERVICO' => $this->input->post('descricaoServico'),
                'DS_APLICACAO' => $this->input->post('aplicacao'),
                'NU_MESES_GARANTIA' => $this->input->post('garantia'),
                'DS_DURACAO_SERVICO' => $this->input->post('duracao'),
                'DS_FREQUENCIA' => $this->input->post('frequencia')


            );


            if ($this->servicos_model->edit(self::TBL_013_SERVICOS, $data, 'ID_SERVICO', $this->input->post('servico_id')) == TRUE) {
//                GerenciarEmail::enviarEmailEditarReservas($data, $morador->email_morador);
//                $this->enviarSMSMoradorEditar($morador, $this->input->post('id'));
                $this->session->set_flashdata('success', 'Reserva editada com sucesso e Morador solicitante informado por email!');
                redirect('/servicos/editar/' . $this->input->post('servico_id'));
            } else {
                $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro</p></div>';
            }
        }

        $this->data['nota'] = $this->manutencao_model->getById($this->uri->segment(3));
//        $this->data['chequesPorPedido'] = $this->servicos_model->getChequesPorPedido($this->uri->segment(3));
//        $this->data['boletosPorPedido'] = $this->servicos_model->getChequesPorPedido($this->uri->segment(3));
        $this->data['view'] = 'sistema/notas/editarNotas';
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);

    }


    public function adicionar()
    {
        $this->load->library(DadosPaginas::FORM_VALIDATION);
        $this->data['custom_error'] = '';
        $ajax = $this->input->get('ajax');
        if ($this->form_validation->run('manutencao') == false) {
            $this->data['custom_error'] = (validation_errors() ? true : false);

        } else {
            $tecnico = $this->input->post('tipoVeiculo') == "A" ? 2 : 3;
            $data = array(
                'FUNCIONARIO_ID' => $tecnico,
                'DT_PREVENTIVA' => $this->input->post('dataPreventiva'),
                'DS_TIPO_MANUTENCAO' => 'P',
                'USUARIO_ID' => $this->session->userdata('id'),
                'DS_GARANTIA' => $this->input->post('garantia'),
                'VEICULO_ID' => $this->input->post('idVeiculo')
            );

            if ($id = $this->manutencao_model->add($this->tabelaManutencao, $data, true)) {
                $this->data['pecasPorManutencao'] = $this->manutencao_model->getPecasPorPreventiva($id);
                $this->data['manutencao'] = $this->manutencao_model->getPreventivaVeiculoTecnico($id);;

                $mensagem = $this->load->view('sistema/relatorios/imprimir/aberturaOrdemServico', $this->data, TRUE);
                $this->enviarEmail($this->data['manutencao']->emailSolicitante, 'Chamado de Manutenção Preventiva', null, $mensagem);
                $this->session->set_flashdata('success', 'Preventiva Agendada com sucesso.');

            } else {
                $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro.</p></div>';
            }
        }
        redirect('manutencao/');
    }

    function editar()
    {

        $this->load->library(DadosPaginas::FORM_VALIDATION);
        $this->data['custom_error'] = '';
        $preventiva_id = $this->input->post('preventiva_id');

        if ($this->form_validation->run('manutencao') == false) {
            $this->data['custom_error'] = (validation_errors() ? '<div class="form_error">' . validation_errors() . '</div>' : false);
        } else {
            $data = array(
                'FUNCIONARIO_ID' => $this->input->post('funcionario_id'),
                'DT_PREVENTIVA' => $this->input->post('dataPreventiva')
            );

            if ($this->manutencao_model->edit($this->tabelaManutencao, $data, 'ID_PREVENTIVA', $this->input->post('preventiva_id')) == TRUE) {
//                $this->enviarSMSMoradorEditar($morador, $this->input->post('id'));
                $this->session->set_flashdata('success', 'Manutenção editada com sucesso!');
                redirect('manutencao/editar/' . $preventiva_id);
            } else {
                $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro</p></div>';
            }
        }
        $this->data['preventivaEditar'] = $this->manutencao_model->getPreventivaVeiculoTecnico($this->uri->segment(3));
        $this->data['servicoPorPreventiva'] = $this->manutencao_model->getServicoPorPreventiva($this->uri->segment(3));
        $this->data['servicos'] = $this->servicos_model->get('tbl_013_servicos', '*');
        $this->data['pecasPorPreventiva'] = $this->manutencao_model->getPecasPorPreventiva($this->uri->segment(3));
        $this->data['fotosManutencao'] = $this->manutencao_model->get($this->tabelaFotosManutencao, '*', 'MANUTENCAO_ID = ' . $this->uri->segment(3));
        $this->data['view'] = 'sistema/manutencao/editarPreventiva';
        $this->load->view(DadosPaginas::PG_TOPO_SISTEMA, $this->data);

    }

    public function adicionarNota()
    {
        $previsao = $this->input->post('dataprevisaopgto') == '' ? null : $this->input->post('dataprevisaopgto');
        $avista = empty($this->input->post('isAVista')) ? null : date('Y-m-d');
        $data = array(
            'CLIENTE_ID' => $this->input->post('nomecliente'),
            'DT_NOTA' => $this->input->post('dataPreventiva'),
            'NM_PRODUTO' => $this->input->post('nomeproduto'),
            'VL_PEDIDO' => $this->input->post('currency'),
            'NU_PEDIDO' => $this->input->post('pedido'),
            'NM_VENDEDOR' => $this->input->post('vendedor'),
            'CPFCNPJ' => $this->input->post('cpfcnpj'),
            'DT_PREVISAO_PAGAMENTO' => $previsao,
            'DT_QUITADO' => $avista,
        );

        if ($id = $this->manutencao_model->add($this->tabelaNotas, $data, true)) {
            $this->session->set_flashdata('success', 'Nota Adicionado com sucesso!');
        } else {
            $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro.</p></div>';
        }
        redirect('manutencao/');
    }

    public function editarNota()
    {
        $idNota = $this->input->post('editarIDCliente');
        $data = array(
            'CLIENTE_ID' => $this->input->post('editarnomeCliente'),
            'NM_PRODUTO' => $this->input->post('editarnomeProduto'),
            'VL_PEDIDO' => $this->input->post('editarvalorPedido'),
            'NU_PEDIDO' => $this->input->post('editarnumeroPedido'),
            'NM_VENDEDOR' => $this->input->post('editarnomeVendedor'),
            'CPFCNPJ' => $this->input->post('editarcpfcnpjCliente'),
            'DT_PREVISAO_PAGAMENTO' => $this->input->post('editardataprevisaopgto') == '' ? null : $this->input->post('editardataprevisaopgto'),
        );

        if ($id = $this->manutencao_model->edit($this->tabelaNotas, $data, 'ID_NOTA', $this->input->post('editarIDCliente'))) {
            $this->session->set_flashdata('success', 'Nota Editada com sucesso!');
        } else {
            $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro.</p></div>';
        }
        redirect('manutencao/editarNotasDetalhado/' . $idNota);
    }

    public function editarPagamento()
    {
        $idPagamento = $this->input->post('editarIDPagamento');
        $data = array(
            'NM_CLIENTE' => $this->input->post('editarnomeCliente'),
            'DS_SITUACAO' => $this->input->post('editarSituacaoPagamento'),
            'DT_PAGAMENTO' => $this->input->post('editardataprevisaopgto'),
            'DS_FORMA_PAGAMENTO' => $this->input->post('editarFormaPagamento'),
        );

        if ($id = $this->manutencao_model->edit(self::TABELA_PAGAMENTO, $data, 'ID_PAGAMENTO', $idPagamento)) {
            $this->session->set_flashdata('success', 'Pagamento Editado com sucesso!');
        } else {
            $this->data['custom_error'] = '<div class="form_error"><p>Ocorreu um erro.</p></div>';
        }
        $this->visualizarPagamento($idPagamento);
    }

    public function QuitarNotaTotal($idPedido='')
    {
        $id = $idPedido !=null? $idPedido: $this->input->post('idNotaQuitarTotal');
        if (is_null($id)) {
            $this->session->set_flashdata('error', 'Erro ao tentar Quitar Nota.');
        } else {

            $data = array(
                'DT_QUITADO' => date('Y-m-d')
            );
            if ($this->manutencao_model->edit(self::TABELA_NOTAS, $data, 'ID_NOTA', $id) == TRUE) {
                $this->session->set_flashdata('success', 'Nota foi quitada e será finalizada !');
            }
        }
        redirect('manutencao/listarTodosPedidosPorFiltro');
    }

    function DesQuitarNotaTotal()
    {
        $id = $this->input->post('idNotaQuitarTotal');
        if ($id == null) {
            $this->session->set_flashdata('error', 'Erro ao tentar DesQuitar Nota.');
        } else {

            $data = array(
                'DT_QUITADO' => null
            );
            if ($this->manutencao_model->edit(self::TABELA_NOTAS, $data, 'ID_NOTA', $id) == TRUE) {
                $this->session->set_flashdata('success', 'Nota foi DesQuitada e ficara Pendente !');
            }
        }
        redirect('manutencao/listarTodosPedidosPorFiltro');
    }

    function QuitarCheque()
    {
        $id = $this->input->post('idItemQuitar');
        if ($id == null) {
            $this->session->set_flashdata('error', 'Erro ao tentar Quitar Nota.');
        } else {

            $data = array(
                'DT_QUITACAO' => date('Y-m-d')
            );
            if ($this->manutencao_model->edit(self::TABELA_CHEQUES, $data, 'ID_CHEQUE', $id) == TRUE) {
                $this->session->set_flashdata('success', 'Cheque foi quitado e será finalizada !');
            }
        }
        $this->visualizarPagamento(null);
    }

    function QuitarBoleto()
    {
        $id = $this->input->post('idItemQuitar');
        if ($id == null) {
            $this->session->set_flashdata('error', 'Erro ao tentar Quitar Boleto.');
        } else {

            $data = array(
                'DT_QUITACAO' => date('Y-m-d')
            );
            if ($this->manutencao_model->edit(self::TABELA_BOLETOS, $data, 'ID_BOLETO', $id) == TRUE) {
                $this->session->set_flashdata('success', 'Boleto foi quitado e será finalizada !');
            }
        }
        $this->visualizarPagamento(null);
    }

    private function enviarEmail($para, $assunto, $arquivo, $mensagem)
    {
        GerenciarEmail::enviarEmailComCopiaComAnexo($para, $assunto, $mensagem, null, $arquivo, $this);
    }

    public function excluirNota()
    {
        $id = $this->input->post('id');
        if ($id == null) {
            $this->session->set_flashdata('error', 'Erro ao tentar excluir reserva.');
        } else {
            $this->db->where('ID_NOTA', $id);
            $this->db->delete(self::TABELA_NOTAS);
            $this->session->set_flashdata('success', 'Nota excluída com sucesso!');
        }
        redirect('manutencao/');
    }


    public function excluirCheque()
    {
        $id = $this->input->post('id');
        if ($id == null) {
            $this->session->set_flashdata('error', 'Erro ao tentar excluir Cheque.');
        } else {
            $this->db->where('ID_CHEQUE', $id);
            $this->db->delete(self::TABELA_CHEQUES);
            $this->session->set_flashdata('success', 'Cheque excluído com sucesso!');
        }

        $this->visualizarPagamento(null);
//        redirect('manutencao/');
    }

    public function excluirBoleto()
    {
        $id = $this->input->post('id');
        if ($id == null) {
            $this->session->set_flashdata('error', 'Erro ao tentar excluir Boleto.');
        } else {
            $this->db->where('ID_BOLETO', $id);
            $this->db->delete(self::TABELA_BOLETOS);
            $this->session->set_flashdata('success', 'Boleto excluído com sucesso!');
        }

        $this->visualizarPagamento(null);
//        redirect('manutencao/');
    }

    function excluirNotaw()
    {
        $id = $this->input->post('id');
        {
            $id = $this->uri->segment(3);
            if ($id == null) {
                $this->session->set_flashdata('error', 'Erro ao tentar excluir reserva.');
            } else {
                $this->db->where('ID_FOTOS_MANUTENCAO', $id);
                $this->db->delete($this->tabelaFotosManutencao);
                $arquivoExcluir = 'documentos/fotos_manutencao/' . $this->uri->segment(5);
                if (unlink($arquivoExcluir)) {
                    $this->session->set_flashdata('success', 'Foto da Manutenção excluída com sucesso!');
                }
            }
            redirect('manutencao/editar/' . $this->uri->segment(4));
        }
    }
}
